<!doctype html>

<html>
  <head>
    <title>hook-calendar-events test</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>

    <link rel="import" href="../hook-calendar-events.html">
  </head>
  <body>

    <test-fixture id="basic">
      <template>
        <hook-calendar-events></hook-calendar-events>
      </template>
    </test-fixture>

    <script>
      suite('hook-calendar-events', function() {

        var element = fixture('basic');

        test('instantiating the element works', function() {
          assert.equal(element.is, 'hook-calendar-events');
        });

        test('dateMin value', function() {
          assert.deepEqual(element.dateMin, new Date(element.dateMin));
        });

        test('empty events array', function() {
          assert.deepEqual(element.events, []);
        });

        test('eventsLoaded value', function() {
          assert.equal(element.eventsLoaded, false);
        });

        test('selectedMonth value', function() {
          assert.equal(element.selectedMonth, '2016-10');
        });

        test('zeroEvents value', function() {
          assert.equal(element.zeroEvents, false);
        });

      });
    </script>
  </body>
</html>
